/*************************************************************************\
**  source       * acsrv.c
**               *
**  description  * Solid Accelerator usage sample
**               *
**               * (C) Copyright Solid Information Technology Ltd 2001
\*************************************************************************/
#ifdef DOCUMENTATION
**************************************************************************

Implementation:
--------------


Limitations:
-----------


Error handling:
--------------


Objects used:
------------


Preconditions:
-------------


Multithread considerations:
--------------------------


Example:
-------


**************************************************************************
#endif /* DOCUMENTATION */

#ifdef SS_NT
#  include <windows.h>
#endif

#include <stdio.h>
#ifdef SS_WCE
char *argv[]={"saexampl", NULL};
int main(int argc, char **argv);
#	define  assert(f) if(!f) MessageBox(NULL, TEXT("ASSERTION FAILURE"), TEXT("ASSERTION FAILURE"), MB_OK)

WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPWSTR lpCmdLine, int nShowCmd ) {
	main(1,argv);

#undef UNICODE
#undef _UNICODE
}
#else
#  include <assert.h>
#endif

#include <solidodbc3.h>

/* Solid Server API */
#include "sscapi.h"

#if defined(SS_NT)
#  ifndef SS_CDECL
#    define SS_CDECL __cdecl
#  endif
#elif defined(SS_VXW)
#  define SS_CDECL
#  define main embed_main
#else
#  define SS_CDECL
#endif

int SS_CDECL main(int argc, char* argv[])
{
        SscServerT h;

        /* Start the server and serve the clients   */
        /* until the server is shutdown remotely    */
        if (SSCStartServer(argc, argv, &h, SSC_STATE_OPEN) == SSC_SUCCESS) {
            while (SSCAdvanceTasks(h, 1000) != SSC_SERVER_NOTRUNNING) {
                ; 
            }
        }
        else {
            printf("Could not start server! Exiting...\n");            
        }

        return 0;
}
