-------------------------------- Primary1b.sql----------------------------------
--- SQL SCRIPT FOR PRIMARY
-------------------------------------------------------------------------------
---  Primary should be in the PRIMARY ALONE state.

      ADMIN  COMMAND 'hsb state';

--- Create database object for seed database.
--- Create table with 3 columns

      CREATE TABLE hsb_seedtable 
              (port_no INT, sys_name VARCHAR, startdate TIMESTAMP);
      COMMIT WORK;

---  Create a procedure that inserts data into this table

     " CREATE PROCEDURE hsb_seedproc(pname INT, sys VARCHAR) 
        BEGIN
        EXEC SQL WHENEVER SQLERROR ABORT;
        EXEC SQL PREPARE c1 INSERT INTO hsb_seedtable VALUES (?,?,now());
        EXEC SQL EXECUTE c1 USING (pname,sys);
        EXEC SQL CLOSE c1;
        EXEC SQL DROP c1;
        END";

       COMMIT WORK;
       
--- Now copy this seed database into the directory where the 
--- Secondary server will be running.  Because Secondary is 
--- already running we use 'netcopy'. You may also use
--- 'copy' but then Secondary cannot be running 
--- (if you use 'copy', you have to specify the 
--- directory to copy to if you have not set the CopyDirectory 
--- parameter in the solid.ini configuration file).

     ADMIN COMMAND 'hsb netcopy ';

-- Check the status of Copying the Seed Database.

     ADMIN COMMAND 'hsb status copy';

