-- *********************************************************
-- replica2.sql
-- This script registers to publication PUB_DEMO,
-- inserts two rows to the REPLICA database and
-- saves the transaction to be propagated to the MASTER
--
-- Execute in the REPLICA database
-- *********************************************************

SET CATALOG sync_demo_catalog;

-- register to publication
MESSAGE REG_PUBL BEGIN;
MESSAGE REG_PUBL APPEND REGISTER PUBLICATION PUB_DEMO;
MESSAGE REG_PUBL END;
COMMIT WORK;
MESSAGE REG_PUBL FORWARD TIMEOUT FOREVER;
COMMIT WORK;

CALL SYNCDEMO_INSERT (1, 1, 100, 'First row', '1998-05-15 12:00:00', 'R');
SAVE CALL SYNCDEMO_INSERT (1, 1, 100, 'First row', '1998-05-15 12:00:00', 'M');
CALL SYNCDEMO_INSERT (1, 2, 101, 'Second row', '1998-05-15 12:00:01', 'R');
SAVE CALL SYNCDEMO_INSERT (1, 2, 101, 'Second row', '1998-05-15 12:00:01', 'M');

COMMIT WORK;
