-- *********************************************************
-- replica4.sql
-- This script inserts two rows to the REPLICA database 
-- and saves the transaction to be propagated to the MASTER
--
-- Execute in the REPLICA database
-- *********************************************************

SET CATALOG sync_demo_catalog;

CALL SYNCDEMO_INSERT (1, 3, 102, 'Third row', '1998-05-15 12:10:00', 'R');
SAVE CALL SYNCDEMO_INSERT (1, 3, 102, 'Third row', '1998-05-15 12:10:00', 'M');
CALL SYNCDEMO_INSERT (1, 4, 103, 'Fourth row', '1998-05-15 12:10:01', 'R');
SAVE CALL SYNCDEMO_INSERT (1, 4, 103, 'Fourth row', '1998-05-15 12:10:01', 'M');

COMMIT WORK;

