-- For the master to be able to call a remote stored procedure on a replica, 
-- the master must know the connect string for that replica.  You 
-- may help the master get that info by doing EITHER of the following:
--   1) Set the ConnectStrForMaster parameter in the 
--      "[Sychronizer]" section of the solid.ini configuration file, e.g.
--           [Synchronizer]
--           ConnectStrForMaster=tcp 2316
--   2) Execute the SET SYNC CONNECT ... command (as shown below). 
-- If you don't do one of these, you'll get get an error such as 25087.
-- The replica's connect string won't be transmitted to the master until 
-- a synchronization message is composed and forwarded from the replica 
-- to the master.  

-- Obviously, the connect string below needs to be customized for a 
-- particular user's replica node(s).
SET SYNC CONNECT 'tcp 2325' TO REPLICA replica1;
COMMIT WORK;


INSERT INTO customers (id, name, address) VALUES (5, 'Smith', 'Helsinki');
COMMIT WORK;
