-- *****************************************************
-- THE SAMPLE ANSWER TO EXERCISE TASK 2
--
-- NOTE THAT YOU CANNOT USE THE SCRIPT 'ANSWER1' AS SUCH
-- TO SIMULATE THE EVENT, AS IT WILL DROP AND CREATE
-- THE EVENT AGAIN
-- *****************************************************
DROP SEQUENCE event_ids;
COMMIT WORK;

CREATE SEQUENCE event_ids ; 
COMMIT WORK;

DROP PROCEDURE listen_inventory_alerts ; 
COMMIT WORK;

"CREATE PROCEDURE listen_inventory_alerts 
RETURNS (alert_id integer, alert_type varchar, alert_text varchar) 
BEGIN 
	DECLARE createtime TIMESTAMP ; 
	WAIT EVENT 
	WHEN inventory_event(alert_type, alert_text) BEGIN 

		EXEC SEQUENCE event_ids.NEXT INTO alert_id ; 
		createtime := now() ; 

		EXEC SQL PREPARE ins_event 
			INSERT INTO alerts (alert_id,	createtime, status, alert_type, alert_text)
			VALUES (?,?,'NEW',?,?) ;
		EXEC SQL EXECUTE ins_event USING (alert_id, createtime, alert_type, alert_text) ; 
		EXEC SQL DROP ins_event ; 
		EXEC SQL COMMIT WORK ; 
		RETURN ; 

	END EVENT 
	END WAIT 
END" ; 

commit work;
