
@REM Compile server classes
javac -classpath build\SolidTestEJB;%CLASSPATH% source\SolidTestEJB\solidtest\server\*.java -d build\SolidTestEJB

@REM Compile client classes
javac -classpath build\SolidTestEJB;%CLASSPATH% source\SolidTestClient\testclient\*.java -d build\SolidTestClient

@REM Create server archive
copy source\SolidTestEJB\META-INF\ejb-jar.xml build\SolidTestEJB\META-INF
copy source\SolidTestEJB\META-INF\weblogic-ejb-jar.xml build\SolidTestEJB\META-INF
@pushd build\SolidTestEJB
jar cvf ..\..\lib\SolidTestEJB.jar *
@popd

@REM Create client archive
@pushd build\SolidTestClient
jar cvf ..\..\lib\SolidTestClient.jar *
@popd

@REM Run weblogic ejbc tool against server jar
java weblogic.ejbc lib\SolidTestEJB.jar

