/*
 * Created on 20.4.2004
 */
package solidtest.server;

import java.io.PrintStream;
import java.io.PrintWriter;
import java.io.Serializable;
import java.io.StringWriter;
import java.util.LinkedList;
import java.util.ListIterator;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class SolidTableNames implements Serializable {

	public LinkedList names_ = null;

	public SolidTableNames(){
		names_ = new LinkedList();
	}

	public void fillNames( Connection con ) throws SQLException {
		PreparedStatement pstmt = con.prepareStatement("select table_name from tables");
		pstmt.execute();
		ResultSet rset = pstmt.getResultSet();
		while(rset.next()){
			names_.add(rset.getString(1));
		}
	}
	
	public void fillException(Exception e){
		names_.add("EXCEPTION CAUGHT IN BEAN - DUMPING THE STACK TRACE");
		names_.add(e.getMessage());
		StringWriter sout = new StringWriter();
		PrintWriter out = new PrintWriter(sout);
		e.printStackTrace(out);
		names_.add(sout.toString());
	}
	
	public void dumpNames( PrintStream stream ){
		ListIterator it = names_.listIterator();
		while(it.hasNext()){
			stream.println((String)(it.next()));
		}
	}

}
