-- STEP 07 (replica) 
-- Generate "add order" transactions in replica database 
-- AUTOCOMMIT MUST BE OFF!

-- synchronize the databases so that the replica database has 
-- the necessary customer and account information
call run_sync ;
commit work ; 


-- Add first replica transaction.
CALL insert_order (1,1001,'mouse', 40) ; 
CALL update_customer_credit (1, -40) ; 
CALL update_account_balance (1001, 40) ; 
-- Save the statements of the transaction for later propagation to master
SAVE CALL insert_order (1,1001,'mouse', 40) ; 
SAVE CALL update_customer_credit (1, -40) ; 
SAVE CALL update_account_balance (1001, 40) ; 
COMMIT WORK ; 

-- Add second replica transaction.
CALL insert_order (1,1002,'mousepad', 30) ; 
CALL update_customer_credit (1, -30) ; 
CALL update_account_balance (1001, 30) ; 
-- Save the statements of the transaction for later propagation to master
SAVE CALL insert_order (1,1002,'mousepad', 30) ; 
SAVE CALL update_customer_credit (1, -30) ; 
SAVE CALL update_account_balance (1001, 30) ; 
COMMIT WORK ; 

-- verify that replica now has two orders and that the account balance and 
-- customer credit limit have been updated.
select * from order ;
select * from account ;
select * from customer ;  
select * from err_log ; 