-- STEP 08 (master) 
-- Generate a conflicting transaction in master database


-- Insert a new order in the master database prior to synchronizing the replica transactions 
-- This order conflicts with the (yet unpropagated) replica transactions
-- because the credit limit of the customer will be exceeded 
-- when the replica transactions are propagated to the master.

CALL insert_order (1, 2001, 'ergomouse', 50) ; 
CALL update_customer_credit (1, -50) ; 
CALL update_account_balance (1001, 50) ;
COMMIT WORK ; 

-- verify that master now has one order and that the account balance and 
-- customer credit limit have been updated.
select * from order ;
select * from account ;
select * from customer ;  
select * from err_log ; 
 