-- STEP 09 (replica) 
-- Synchronize the databases and check the results.

-- The synchronization includes propagating two pending 
-- transactions to the master. 
-- The second transaction should not succeed in its 
-- original form because the credit limit of the customer is exceeded. 

call run_sync ; 
commit work ; 


-- Check what is now the situation in replica. 
-- One of the orders has failed (status = 'INV') because 
-- the customer credit limit has been exceeded.
-- The AVAILABLE_CREDIT of CUSTOMER table as well as the 
-- BALANCE of ACCOUNT table have not been updated by this 
-- failed order.

select * from order ;
select * from account ;
select * from customer ;  
select * from err_log ; 